#include<fstream>
#include<algorithm>
#include<cmath>
using namespace std;
int main()
{
	ifstream f1("BAI4_17.INP");
	ofstream f2("BAI4_17.OUT");
	int n;
	f1>>n;
	int f[200000];
	int i;
	for(i=0;i<200000;i++)
	{
		f[i]=-1;
	}
	i=0;
	int j=0;
	while(n!=0)
	{
		f[i]=n%2;
		n/=2;
		i++;
		j++;
	}
	int d=0;
	for(i=199999;i>=0;i--)
	{
		if(f[i]==-1) continue;
		else f2<<f[i];
		if(f[i]==1) d++;
	}
	long long u=0;
	sort(f,f+200000);
	for(i=j-1;i>=j-d;i--)
	{
		u+=pow(2,i);
	}
	f1.close();
	f2<<endl<<u;
	f2.close();
	return 0;
}
